<?php 
/**
 * Createing a contact us page pannel for customizer
 *
 */

// CREATING A SECTION IN CUSTOMIZER
$wp_customize->add_section(
	'lz_fitness_premium_contactus_section',
	array(
		'title' => __( 'Contact Us Page', 'InsideTours' ),
        // 'panel' => 'lz_fitness_premium_home_panel'
		'priority' =>20
	)
);

$wp_customize->add_setting('lz_fitness_contactus_address_lbl', array('sanitize_callback' => 'lz_fitness_sanitize_text'));
$wp_customize->add_control(
	new lz_fitness_Customize_Heading($wp_customize, 'lz_fitness_contactus_address_lbl',
		array(
			'settings'      => 'lz_fitness_contactus_address_lbl',
			'section'       => 'lz_fitness_premium_contactus_section',
			'label'         => __( 'Contact Us Address Details', 'InsideTours' ),
		)
	)
);

$section = 'lz_fitness_premium_contactus_section';

//ADD TEXTAREA BOX FOR SUB TITLE
$wp_customize->add_setting(
	'lz_fitness_contactus_addrress',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Address', 'Luzuk Premium' ) 
	)
);
$wp_customize->add_control(
	'lz_fitness_contactus_addrress',
	array(
		'settings'      => 'lz_fitness_contactus_addrress',
		'section'       => 'lz_fitness_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Address Label', 'Luzuk Premium' )
	)
);
lzAddElement($wp_customize, 'lz_fitness_contactus_address', $section, 'textarea', $label="Address Line One", 'lz_fitness_sanitize_text', 'Add Contact Address here..');

lzAddElement($wp_customize, 'lz_fitness_contactus_addressdata1', $section, 'textarea', $label="Address Line Two", 'lz_fitness_sanitize_text', '');

lzAddElement($wp_customize, 'lz_fitness_contactus_addressdata2', $section, 'textarea', $label="Address Line Three", 'lz_fitness_sanitize_text', '');


// contact us email 
$wp_customize->add_setting(
	'lz_fitness_contactus_emailid',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Email', 'Luzuk Premium' )
	)
);
$wp_customize->add_control(
	'lz_fitness_contactus_emailid',
	array(
		'settings'      => 'lz_fitness_contactus_emailid',
		'section'       => 'lz_fitness_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Email Label', 'Luzuk Premium' )
	)
);
lzAddElement($wp_customize, 'lz_fitness_contactus_email', $section, 'text', $label="Contact Us Email", 'lz_fitness_sanitize_text', 'contact@example.com');
// contact us Phone 
$wp_customize->add_setting(
	'lz_fitness_contactus_phhone',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Phone', 'Luzuk Premium' )
	)
);
$wp_customize->add_control(
	'lz_fitness_contactus_phhone',
	array(
		'settings'      => 'lz_fitness_contactus_phhone',
		'section'       => 'lz_fitness_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Phone Label.', 'Luzuk Premium' )
	)
);
lzAddElement($wp_customize, 'lz_fitness_contactus_phone', $section, 'text', $label="Contact Us Phone", 'lz_fitness_sanitize_text', '+1 565 565 656565');

//Contact Details icon color
addColorPalatOption($wp_customize, 'lz_fitness_contactus_detailiconColor', 'lz_fitness_premium_contactus_section', 'Contact Details Icon Color', '#444');

//Contact Details Title color
addColorPalatOption($wp_customize, 'lz_fitness_contactus_detailtitleColor', 'lz_fitness_premium_contactus_section', 'Contact Details Title Color', '#444');
//Contact Details Information color
addColorPalatOption($wp_customize, 'lz_fitness_contactus_detailinfoColor', 'lz_fitness_premium_contactus_section', 'Contact Details Information Color', '#444');
//Contact Details Email color
addColorPalatOption($wp_customize, 'lz_fitness_contactus_detailemailColor', 'lz_fitness_premium_contactus_section', 'Contact Details Email Color', '#ff7c4e');

//Contact Details Email hover color
addColorPalatOption($wp_customize, 'lz_fitness_contactus_detailemailhoverColor', 'lz_fitness_premium_contactus_section', 'Contact Details Email Hover Color', '#2e2e2e');


// SOCIAL MEDIA URLS / LINKS
$wp_customize->add_setting('lz_fitness_contactus_sm_lbl', array('sanitize_callback' => 'lz_fitness_sanitize_text'));
$wp_customize->add_control(
	new lz_fitness_Customize_Heading($wp_customize, 'lz_fitness_contactus_sm_lbl',
		array(
			'settings'      => 'lz_fitness_contactus_sm_lbl',
			'section'       => 'lz_fitness_premium_contactus_section',
			'label'         => __( 'Social Media Links', 'InsideTours' ),
		)
	)
);
$wp_customize->add_setting(
	'lz_fitness_contactus_socialtitle',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Follow us on', 'Luzuk Premium' ) 
	)
);
$wp_customize->add_control(
	'lz_fitness_contactus_socialtitle',
	array(
		'settings'      => 'lz_fitness_contactus_socialtitle',
		'section'       => 'lz_fitness_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Add Social Title', 'Luzuk Premium' )
	)
);
// FACEBOOK 
$wp_customize->add_setting('lz_fitness_contactus_facebook',	array('default'=> 'https://facebook.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_fitness_contactus_facebook',
	array(
		'settings'      => 'lz_fitness_contactus_facebook',
		'section'       => 'lz_fitness_premium_contactus_section',
		'type'          => 'url',
		'label'         => __( 'Facebook Url', 'InsideTours' )
	)
);
// TWITTER
$wp_customize->add_setting('lz_fitness_contactus_twitter', array('default'=> 'https://twitter.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_fitness_contactus_twitter',
	array(
		'settings'      => 'lz_fitness_contactus_twitter',
		'section'       => 'lz_fitness_premium_contactus_section',
		'type'          => 'url',
		'label'         => __( 'Twitter Url', 'InsideTours' )
	)
);
// Instagram
$wp_customize->add_setting('lz_fitness_contactus_instagram', array('default' => 'https://www.instagram.com/', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_fitness_contactus_instagram',
	array(
		'settings'      => 'lz_fitness_contactus_instagram',
		'section'       => 'lz_fitness_premium_contactus_section',
		'type'          => 'url',
		'label'         => __( 'Instagram', 'InsideTours' )
	)
);
// LINKED IN
$wp_customize->add_setting('lz_fitness_contactus_linkedin',array('default'=> 'https://linkedin.com','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_fitness_contactus_linkedin',
	array(
		'settings'      => 'lz_fitness_contactus_linkedin',
		'section'       => 'lz_fitness_premium_contactus_section',
		'type'          => 'url',
		'label'         => __( 'Linkedin Url', 'InsideTours' )
	)
);

//Social Title color
addColorPalatOption($wp_customize, 'lz_fitness_contactus_SocialtitleColor', 'lz_fitness_premium_contactus_section', 'Social Title Color', '#303030');

//Social Icon color
addColorPalatOption($wp_customize, 'lz_fitness_contactus_SocialTitleColor', 'lz_fitness_premium_contactus_section', 'Social Icon Color', '#ff7c4e');

//Social Icon border color
//addColorPalatOption($wp_customize, 'lz_fitness_contactus_SocialborderColor', 'lz_fitness_premium_contactus_section', 'Social Icon Border Color', '#fd3e1c');


//Social Icon hover color
addColorPalatOption($wp_customize, 'lz_fitness_contactus_SocialTitlehoverColor', 'lz_fitness_premium_contactus_section', 'Social Icon Hover Color', '#2e2e2e');

//Social Icon border hover color
//addColorPalatOption($wp_customize, 'lz_fitness_contactus_SocialborderhoverColor', 'lz_fitness_premium_contactus_section', 'Social Icon Border Hover Color', '#2e2e2e');


// contact us form shortcode 
$wp_customize->add_setting('lz_fitness_contactus_shortcode_lbl', array('sanitize_callback' => 'lz_fitness_sanitize_text'));
$wp_customize->add_control('lz_fitness_contactus_shortcode_lbl', array('settings'=>'lz_fitness_contactus_shortcode_lbl', 'section'=>'lz_fitness_premium_contactus_section','type'=>'text', 'label'=> __('Form Title', 'InsideTours')));

lzAddElement($wp_customize, 'lz_fitness_contactus_shortcode_lbl', $section, 'text', $label="Form Title", 'lz_fitness_sanitize_text', 'Contact Now');

lzAddElement($wp_customize, 'lz_fitness_contactus_shortcode', $section, 'text', $label="Form Shortcode", 'lz_fitness_sanitize_text', '[your shortcode]');

//Form Title color
addColorPalatOption($wp_customize, 'lz_fitness_contactus_formtitleColor', 'lz_fitness_premium_contactus_section', 'Form Title Color', '#fff');

//Form Background color
addColorPalatOption($wp_customize, 'lz_fitness_contactus_formbgColor', 'lz_fitness_premium_contactus_section', 'Form Background Color', '#ff7c4e');

//Form Label color
addColorPalatOption($wp_customize, 'lz_fitness_contactus_formlabelColor', 'lz_fitness_premium_contactus_section', 'Form Label Color', '#121212');

//Form text and placeholder color
addColorPalatOption($wp_customize, 'lz_fitness_contactus_formtextplaceColor', 'lz_fitness_premium_contactus_section', 'Form Text and Placeholder Color', '#121212');

//Form border bottom color
addColorPalatOption($wp_customize, 'lz_fitness_contactus_formborderbottomColor', 'lz_fitness_premium_contactus_section', 'Form Border Bottom Color', '#fff');

//Button color
addColorPalatOption($wp_customize, 'lz_fitness_contactus_formbtnColor', 'lz_fitness_premium_contactus_section', 'Form Button Text Color', '#ff7c4e');
addColorPalatOption($wp_customize, 'lz_fitness_contactus_formbtnhoverColor', 'lz_fitness_premium_contactus_section', 'Form Button Text Hover Color', '#fff');

//Button bg color
addColorPalatOption($wp_customize, 'lz_fitness_contactus_formbtnbgColor', 'lz_fitness_premium_contactus_section', 'Form Button Background Color', '#fff');
addColorPalatOption($wp_customize, 'lz_fitness_contactus_formbtnbghoverColor', 'lz_fitness_premium_contactus_section', 'Form Button Background Hover Color', '#121212');
//Button border color
addColorPalatOption($wp_customize, 'lz_fitness_contactus_formbtnborderColor', 'lz_fitness_premium_contactus_section', 'Form Button Border Color', '#fff');
addColorPalatOption($wp_customize, 'lz_fitness_contactus_formbtnborderhoverColor', 'lz_fitness_premium_contactus_section', 'Form Button Border hover Color', '#121212');

//Button border hover color

//Form text color
addColorPalatOption($wp_customize, 'lz_fitness_contactus_formdtextColor', 'lz_fitness_premium_contactus_section', 'Form Text Color', '#fff');

// ADDRESS GOOGLE/MSN/OTHER MAP IFRAME OR EMBADE CODE
$wp_customize->add_setting('lz_fitness_contactus_iframe_lbl', array('sanitize_callback' => 'lz_fitness_sanitize_text'));
$wp_customize->add_control(
	new lz_fitness_Customize_Heading($wp_customize, 'lz_fitness_contactus_iframe_lbl',
		array(
			'settings'      => 'lz_fitness_contactus_iframe_lbl',
			'section'       => 'lz_fitness_premium_contactus_section',
			'label'         => __( 'Location Map', 'InsideTours' ),
		)
	)
);
// field for addeding the map code
$wp_customize->add_setting('lz_fitness_contactus_embade', array(/*'sanitize_callback' => 'esc_url_raw',*/ 'default'=>'Add your map embade code'));
$wp_customize->add_control('lz_fitness_contactus_embade', array('settings'=>'lz_fitness_contactus_embade', 'section'=>'lz_fitness_premium_contactus_section','type'=>'textarea', 'label'=> __('Code for map', 'InsideTours')));

//Button color
addColorPalatOption($wp_customize, 'lz_fitness_contactus_mapbgColor', 'lz_fitness_premium_contactus_section', 'Map Background Color', '#121212');

